#ifndef SYS_LIMITS
#define SYS_LIMITS

#define _C2_  1

#define CHAR_BIT        8
#define MB_LEN_MAX      1

#define UCHAR_MAX       0xff
#define USHRT_MAX       0xffff
#define UINT_MAX        (~0U)
#define ULONG_MAX       (~0UL)

#define CHAR_MAX        SCHAR_MAX
#define SCHAR_MAX       0x7f
#define SHRT_MAX        0x7fff
#define INT_MAX         0x7fffffff
#define LONG_MAX        0x7fffffffL

#define CHAR_MIN        SCHAR_MIN
#define SCHAR_MIN       (-SCHAR_MAX-_C2_)
#define SHRT_MIN        (-SHRT_MAX-_C2_)
#define INT_MIN         (-INT_MAX-_C2_)
#define LONG_MIN        (-LONG_MAX-_C2_)

#endif /* end _LIMITS */









